CommonEvaluators (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphalgo

## Class CommonEvaluators

- java.lang.Object
- - org.neo4j.graphalgo.CommonEvaluators

-     public abstract class CommonEvaluators
      extends Object

  Factory for common evaluators used by some graph algos, f.ex `CostEvaluator` and `EstimateEvaluator`.
  Author:
    Mattias Persson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonEvaluators()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CostEvaluator<Double>` | `doubleCostEvaluator(String relationshipCostPropertyKey)`
    `static CostEvaluator<Double>` | `doubleCostEvaluator(String relationshipCostPropertyKey, double defaultCost)`
    `static EstimateEvaluator<Double>` | `geoEstimateEvaluator(String latitudePropertyKey, String longitudePropertyKey)`
    `static CostEvaluator<Integer>` | `intCostEvaluator(String relationshipCostPropertyKey)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonEvaluators

          public CommonEvaluators()

  - ### Method Detail

    - #### doubleCostEvaluator

          public static CostEvaluator<Double> doubleCostEvaluator(String relationshipCostPropertyKey)

    - #### doubleCostEvaluator

          public static CostEvaluator<Double> doubleCostEvaluator(String relationshipCostPropertyKey,
                                                  double defaultCost)

    - #### intCostEvaluator

          public static CostEvaluator<Integer> intCostEvaluator(String relationshipCostPropertyKey)

    - #### geoEstimateEvaluator

          public static EstimateEvaluator<Double> geoEstimateEvaluator(String latitudePropertyKey,
                                                       String longitudePropertyKey)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.